import { QueryParams } from './interfaces.js';

declare class RestApiService {
    makeRequest(endpoint: string, method?: string, queryParams?: {}, body?: any): Promise<any>;
    buildQueryParams(params: QueryParams): QueryParams;
}

export { RestApiService };
